Draft Layer/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Layer and the translation is 43% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Draft FlipDimension.svg Flip Dimension Назад:
Далее: Slope Draft Slope.svg Arrow-right.svg


Draft Layer.svg Draft Layer

Расположение в меню
Draft → Utilities → Layer
Верстаки
Draft, Arch
Быстрые клавиши
отсутствуют
Представлено в версии
0.19
См. также
...


Описание

The Draft Layer creates a special kind of group that controls the visual properties of objects placed inside of it. By changing the properties of the Layer, such as line width, line color, shape color and transparency, the changes are propagated to the objects that make use of the Layer property.

This tool replaces Draft VisGroup starting from FreeCAD 0.19.

Использование

  1. Go to the menu Draft → Utilities → Draft Layer.svg Layer.
  2. Change the desired view properties of the Layer.

Properties

  • DataGroup: specifies the elements that are part of the group.
  • Visual properties that can be changed that are propagated to the objects: ViewDrawing Style, ViewLine Color, ViewLine Width, ViewShape Color, ViewTransparency, and ViewVisibility.

Scripting

Смотри так же: Основы скриптов в FreeCAD.

To add or remove objects from the layer, simply overwrite its Group attribute.

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group
Arrow-left.svg Draft FlipDimension.svg Flip Dimension Назад:
Далее: Slope Draft Slope.svg Arrow-right.svg